{language}: Download full table as CSV

API: gc.ca:statistics-canada-api
Endpoint: /getFullTableDownloadCSV/{pid}/{language}
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 572ms

Description

Returns a download URL for the full table in CSV format.

Parameters (2)

language (string, path, required)

Language code

Constraints: {'enum': ['en', 'fr']}

pid (integer, path, required)

Product ID (10-digit table identifier)

Examples (1)

Download full table as CSV openapi-spec
curl 'https://www150.statcan.gc.ca/t1/wds/rest/getFullTableDownloadCSV/14100287/en'
import requests

resp = requests.get("https://www150.statcan.gc.ca/t1/wds/rest/getFullTableDownloadCSV/14100287/en")
data = resp.json()
import zingu_apis

api = zingu_apis.api("gc")
result = api.fetch("getFullTableDownloadCSV/{pid}/{language}")

for item in result:
    print(item)
const resp = await fetch("https://www150.statcan.gc.ca/t1/wds/rest/getFullTableDownloadCSV/14100287/en");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:41:42.349184 200 572ms
2026-04-15 00:59:31.589976 200 572ms
2026-04-14 00:59:26.471479 200 568ms
2026-04-12 12:49:01.901647 200 666ms
2026-04-10 01:27:38.807001 200 3570ms
2026-04-09 00:27:15.666408 ERR
2026-04-08 07:32:29.544886 200 601ms
2026-04-07 00:26:10.643989 200 594ms
2026-04-06 06:00:27.955286 200 718ms
2026-04-05 15:00:42.130502 ERR
2026-03-23 10:20:24.744384 200 494ms